# Uses of Class
net.shibboleth.idp.installer.plugin.impl.PluginInstallerArguments

Packages that use PluginInstallerArguments
Package
Description
net.shibboleth.idp.installer.plugin.impl
Classes for handling plugins.

## Uses of PluginInstallerArguments in net.shibboleth.idp.installer.plugin.impl

Methods in net.shibboleth.idp.installer.plugin.impl that return types with arguments of type PluginInstallerArguments
Modifier and Type
Method
Description
`protected Class<PluginInstallerArguments>`
PluginInstallerCLI.`getArgumentClass()`
Methods in net.shibboleth.idp.installer.plugin.impl with parameters of type PluginInstallerArguments
Modifier and Type
Method
Description
`private void`
PluginInstallerCLI.`constructPluginInstaller(PluginInstaller inst, PluginInstallerArguments args)`
Build the installer.
`protected int`
PluginInstallerCLI.`doRun(PluginInstallerArguments args)`